Bug 1251441 - [RFE] Make the 'rct' command a separate package
[RFE] Make the 'rct' command a separate package
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.8
Unspecified Unspecified
low Severity low
: beta
: 6.8
Assigned To: Alex Wood
John Sefler
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 05:56 EDT by Rich Jerrido
Modified: 2017-08-11 02:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Jerrido 2015-08-07 05:56:58 EDT
Description of problem:

As a user of the 'rct' command (currently provided by the 'subscription-manager' package), I would like the ability to use the 'rct' command on systems that do not have subscription-manager installed. 

This RFE requests breaking out the 'rct' command into a '-tools' package (or something similar), so that I can install it without the rest of subscription-manager


Version-Release number of selected component (if applicable):
subscription-manager-1.13.22-1.el7.x86_64
Comment 4 Alex Wood 2016-05-20 16:36:42 EDT
Several classes in rct inherit from the core CLI classes used in subscription-manager.  We would either need to remove that inheritance or move the CLI classes into a sub-package (e.g. subscription-manager-common) that both subscription-manager and rct would require.

I think the second option is probably the better one but I would need to do some investigation into the upgrade path that people would have (i.e. will yum/dnf updates be seamless).
Comment 5 vritant 2016-07-25 15:59:46 EDT
Rich,
RCT currently is tied to features in subscription-manager, and also has a dependency on it.
What drives the need for a separate package?
Comment 6 Rich Jerrido 2016-07-25 20:12:31 EDT
(In reply to vritant from comment #5)
> Rich,
> RCT currently is tied to features in subscription-manager, and also has a
> dependency on it.
> What drives the need for a separate package?

My biggest need is that running a non RHEL desktop (Fedora in my case) which is not registered to the Red Hat Customer Portal, I really do not want to install subscription-manager, but I use 'rct' more or less constantly. Today I install the subscription-manager package, and then disable the rhsmcertd daemon, which is good enough. If moving rct out to a separate package not dependent on (most of) subscription-manager isn't supportable long term, that's fine.

Note You need to log in before you can comment on or make changes to this bug.